// file: $isip/util/asr/isip_signal_detect.h
// version: $Id: isip_signal_detect.h 10064 2005-05-10 16:29:15Z raghavan $
//

// make sure the file is included only once
//
#ifndef ISIP_UTIL_SIGNAL_DETECT
#define ISIP_UTIL_SIGNAL_DETECT

// isip include files
//
#include <CommandLine.h>
#include <AudioFile.h>
#include <SignalDetector.h>

// constants: define command line related parameters
//
static const String PROG_NAME(L"isip_signal_detect");
static const String FORMAT_WAV(L"wav");
static const String FORMAT_RAW(L"raw");
static const String FORMAT_SOF(L"sof");
static const String TYPE_BINARY(L"binary");
static const String TYPE_TEXT(L"text");
static const String MODE_SIGNAL_ONLY(L"signal_only");
static const String MODE_ALL(L"all");
static const String OUTPUT_FILE_FORMAT(L"output_format");
static const String INPUT_FILE_FORMAT(L"input_format");
static const String SEGMENTATION_MODE(L"segmentation_mode");
static const String INPUT_FILE_TYPE(L"input_type");
static const String OUTPUT_FILE_TYPE(L"output_type");

// local methods
//

// method to get chopped data
//
Vector<VectorFloat> getChoppedData(Vector<VectorFloat> audio_data,
				   long start_sample,
				   long stop_sample); 
// method to write chopped data
//
Filename writeChoppedData(Vector<VectorFloat>& chopped_data,
			 String file_format,
			 String input_format,
			 String file_type,
			 String file_suffix,
			 String file_extension,
			 Filename input_filename,
			 String output_dir,
			 long file_preserve,
			 long sample_frequency,
			 DebugLevel verbosity); 
// end of file
//
#endif
